﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Olap.Data;
using Infragistics.Controls.Grids;

namespace StyleBasedOnMeasure
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void pivotGrid_CellControlAttached(object sender, Infragistics.Controls.Grids.PivotCellControlAttachedEventArgs e)
        {
            IMember amountMember = e.Cell.DataRow.Tuple.Members.Where(m => m.Caption == "Discount Amount").FirstOrDefault() as IMember;
            if (amountMember != null)
            {
                e.Cell.Style = Resources["NumericCellStyle"] as Style;              
            }

            IMember percentMember = e.Cell.DataRow.Tuple.Members.Where(m => m.Caption == "Discount Percentage").FirstOrDefault() as IMember;
            if (percentMember != null)
            {
                e.Cell.Style = Resources["PercentageCellStyle"] as Style;
            }
        }
    }
}
